nl_switch< This, Arg1 >

## Public Types

typedef This::size_type | size_type

## Public Member Functions

void | element_initialize (const This &obj, const geo_element &K) const
void | element_initialize_on_side (const This &obj, const geo_element &K, const side_information_type &sid) const
Arg1 | get_nl_value (const This &obj, size_type q) const

## Detailed Description

### template<class This, class Arg1>
struct rheolef::details::nl_switch< This, Arg1 >

Definition at line 799 of file field_expr_variational.h.

## Member Typedef Documentation

## size_type

typedef This::size_type size_type

Definition at line 800 of file field_expr_variational.h.

## Member Function Documentation

## element_initialize()

void element_initialize | ( | const This & | obj,
|  | const geo_element & | K
| ) |  | const

Definition at line 801 of file field_expr_variational.h.

## element_initialize_on_side()

void element_initialize_on_side | ( | const This & | obj,
|  | const geo_element & | K,
|  | const side_information_type & | sid
| ) |  | const

Definition at line 818 of file field_expr_variational.h.

## get_nl_value()

Arg1 get_nl_value | ( | const This & | obj,
|  | size_type | q
| ) |  | const

Definition at line 835 of file field_expr_variational.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/field_expr_variational.h